Update PHP

Mindspeed Comcerto 2000 based
Post Reply
poolo46
Posts: 5
Joined: Wed Jan 17, 2018 8:09 pm

Update PHP

Post by poolo46 » Wed Jan 17, 2018 8:17 pm

hi,
yesterday i finally managed to properly install ffp with lighttpd and PHP, only to find out that the php version is 5.3.9 = quite old.

Is there any way to update PHP for FFP ....i need at least PHP 5.5

Thx for answer :)

poolo46
Posts: 5
Joined: Wed Jan 17, 2018 8:09 pm

Re: Update PHP

Post by poolo46 » Wed Jan 17, 2018 9:30 pm

Never mind, i found PHP7 package, but....
after installation, when I try

Code: Select all

php -i
I get an error

Code: Select all

php: can't load library 'libpcre.so.1'
and I have no idea where to get that library :)

barmalej2
Posts: 2395
Joined: Sun Apr 29, 2012 5:24 pm

Re: Update PHP

Post by barmalej2 » Thu Jan 18, 2018 10:35 am

Code: Select all

funpkg -r php
slapt-get -i php

poolo46
Posts: 5
Joined: Wed Jan 17, 2018 8:09 pm

Re: Update PHP

Post by poolo46 » Fri Jan 19, 2018 11:16 am

Thanks mate!
it required a bit more tweaking, but now it's up and running. :D

fruu
Posts: 1
Joined: Sun Jul 09, 2017 10:07 am

Re: Update PHP

Post by fruu » Thu Feb 22, 2018 1:53 pm

where you found php 7 for 542?

Post Reply